E-MailRelay

Static Public Attributes | List of all members
G::EightBitImp::extend< T, t, N > Struct Template Reference

Evaluates a type 'T' bitmask comprising N copies of byte 't'. More...

`#include <geightbit.h>`

## Static Public Attributes
static constexpr T | value = ( extend<T,t,N-1U>::value << 8U ) | t

## Detailed Description

template<typename T, T t, unsigned int N>
struct G::EightBitImp::extend< T, t, N >

Evaluates a type 'T' bitmask comprising N copies of byte 't'.

Definition at line 34 of file geightbit.h.

## Member Data Documentation

## ◆ value

template<typename T , T t, unsigned int N>

constexpr T G::EightBitImp::extend< T, t, N >::value = ( extend<T,t,N-1U>::value << 8U ) | t
| static constexpr

Definition at line 37 of file geightbit.h.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/geightbit.h